/*

To change this license header, choose License Headers in Project Properties.

To change this template file, choose Tools | Templates

and open the template in the editor.

*/

/* 

    Created on : 10 Jul, 2020, 5:41:14 PM

    Author     : Nishi

*/

@media (min-width: 1200px) {
    .container-scroller .content-wrapper {
        max-width: 1400px !important;
    }
}

.card-header {
    background-color: rgba(0, 0, 0, 0.03);

    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
}

.login-page {
   /* background-image: url("../images/digital-world.jpg");  The image used */

    background-position: center; /* Center the image */

    background-repeat: no-repeat; /* Do not repeat the image */

    background-size: cover; /* Resize the background image to cover the entire container */
}

.table thead th {
    font-weight: 600;
}

.validation {
    color: #e00b0b;

    font-size: 13px;
}

.pointer {
    cursor: pointer;
}

.bold {
    font-weight: 600;
}

.requiredField:after {
    content: "*";

    color: #f44336;
}

/*******************

Preloader

********************/

.preloader {
    width: 100%;

    height: 100%;

    top: 0px;

    position: fixed;

    z-index: 99999;

    background: #fff;
}

.lds-ripple {
    display: inline-block;

    position: relative;

    width: 64px;

    height: 64px;

    position: absolute;

    top: calc(50% - 3.5px);

    left: calc(50% - 3.5px);
}

.lds-ripple .lds-pos {
    position: absolute;

    border: 2px solid #9c120b;

    opacity: 1;

    border-radius: 50%;

    -webkit-animation: lds-ripple 1s cubic-bezier(0, 0.1, 0.5, 1) infinite;

    animation: lds-ripple 1s cubic-bezier(0, 0.1, 0.5, 1) infinite;
}

.lds-ripple .lds-pos:nth-child(2) {
    -webkit-animation-delay: -0.5s;

    animation-delay: -0.5s;
}

@-webkit-keyframes lds-ripple {
    0% {
        top: 28px;

        left: 28px;

        width: 0;

        height: 0;

        opacity: 0;
    }

    5% {
        top: 28px;

        left: 28px;

        width: 0;

        height: 0;

        opacity: 1;
    }

    100% {
        top: -1px;

        left: -1px;

        width: 58px;

        height: 58px;

        opacity: 0;
    }
}

@keyframes lds-ripple {
    0% {
        top: 28px;

        left: 28px;

        width: 0;

        height: 0;

        opacity: 0;
    }

    5% {
        top: 28px;

        left: 28px;

        width: 0;

        height: 0;

        opacity: 1;
    }

    100% {
        top: -1px;

        left: -1px;

        width: 58px;

        height: 58px;

        opacity: 0;
    }
}

.preloader {
    width: 100%;

    height: 100%;

    top: 0px;

    position: fixed;

    z-index: 99999;

    background: #fff;
}

.pinkBg {
    background-color: #ed184f !important;

    background-image: linear-gradient(90deg, #fd5581, #fd8b55);
}

.intro-banner-vdo-play-btn {
    height: 60px;

    width: 60px;

    position: absolute;

    top: 50%;

    left: 50%;

    text-align: center;

    margin: -30px 0 0 -30px;

    border-radius: 100px;

    z-index: 1;
}

.intro-banner-vdo-play-btn i {
    line-height: 56px;

    font-size: 30px;
}

.intro-banner-vdo-play-btn .ripple {
    position: absolute;

    width: 160px;

    height: 160px;

    z-index: -1;

    left: 50%;

    top: 50%;

    opacity: 0;

    margin: -80px 0 0 -80px;

    border-radius: 100px;

    -webkit-animation: ripple 1.8s infinite;

    animation: ripple 1.8s infinite;
}

@-webkit-keyframes ripple {
    0% {
        opacity: 1;

        -webkit-transform: scale(0);

        transform: scale(0);
    }

    100% {
        opacity: 0;

        -webkit-transform: scale(1);

        transform: scale(1);
    }
}

@keyframes ripple {
    0% {
        opacity: 1;

        -webkit-transform: scale(0);

        transform: scale(0);
    }

    100% {
        opacity: 0;

        -webkit-transform: scale(1);

        transform: scale(1);
    }
}

.intro-banner-vdo-play-btn .ripple:nth-child(2) {
    animation-delay: 0.3s;

    -webkit-animation-delay: 0.3s;
}

.intro-banner-vdo-play-btn .ripple:nth-child(3) {
    animation-delay: 0.6s;

    -webkit-animation-delay: 0.6s;
}

/*******************

Preloader End

********************/

/* ------------------- 404 css ---------------------------*/

#notfound {
    position: relative;

    height: 100vh;
}

#notfound .notfound {
    position: absolute;

    left: 50%;

    top: 50%;

    -webkit-transform: translate(-50%, -50%);

    -ms-transform: translate(-50%, -50%);

    transform: translate(-50%, -50%);
}

.notfound {
    max-width: 710px;

    width: 100%;

    text-align: center;

    padding: 0px 15px;

    line-height: 1.4;
}

.notfound .notfound-404 {
    height: 200px;

    line-height: 200px;
}

.notfound .notfound-404 h1 {
    font-family: "Fredoka One", cursive;

    font-size: 168px;

    margin: 0px;

    color: #9c120b;

    text-transform: uppercase;

    text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;
}

.notfound h2 {
    font-family: "Raleway", sans-serif;

    font-size: 22px;

    font-weight: 400;

    text-transform: uppercase;

    color: #fff;

    margin: 0;
}

.notfound-search {
    position: relative;

    padding-right: 123px;

    max-width: 420px;

    width: 100%;

    margin: 30px auto 22px;
}

.notfound-search input {
    font-family: "Raleway", sans-serif;

    width: 100%;

    height: 40px;

    padding: 3px 15px;

    color: #222;

    font-size: 18px;

    background: #f8fafb;

    border: 1px solid rgba(34, 34, 34, 0.2);

    border-radius: 3px;
}

.notfound-search button {
    font-family: "Raleway", sans-serif;

    position: absolute;

    right: 0px;

    top: 0px;

    width: 120px;

    height: 40px;

    text-align: center;

    border: none;

    background: #9c120b;

    cursor: pointer;

    padding: 0;

    color: #fff;

    font-weight: 700;

    font-size: 18px;

    border-radius: 3px;
}

.notfound a {
    font-family: "Raleway", sans-serif;

    display: inline-block;

    font-weight: 700;

    border-radius: 15px;

    text-decoration: none;

    color: #ffffff;
}

.notfound a > .arrow {
    position: relative;

    top: -2px;

    border: solid #9c120b;

    text-shadow: -1px -1px 0 #fff, 1px -1px 0 #fff, -1px 1px 0 #fff, 1px 1px 0 #fff;

    border-width: 0 3px 3px 0;

    display: inline-block;

    padding: 3px;

    -webkit-transform: rotate(135deg);

    -ms-transform: rotate(135deg);

    transform: rotate(135deg);
}

@media only screen and (max-width: 767px) {
    .notfound .notfound-404 {
        height: 122px;

        line-height: 122px;
    }

    .notfound .notfound-404 h1 {
        font-size: 122px;
    }
}

.m-l-10 {
    margin-left: 10px;
}

select.form-control,
.select2-container--default select.select2-selection--single,
.select2-container--default .select2-selection--single select.select2-search__field,
select.typeahead,
select.tt-query,
select.tt-hint {
    padding: 0.4375rem 0.75rem;

    border: 0;

    outline: 1px solid #e4e9f0;

    color: #000000 !important;
}

.swal2-icon.swal2-question {
    border-color: #f31600 !important;

    color: #f31600 !important;
}

.pull-right {
    float: right !important;
}

.searchBoxRow {
    margin-top: 12px;

    padding: 0% 2% 0% 3%;
}

.studentCountSpan {
    font-size: 14px;
}

#search-key-txt {
    padding: 0rem 0.375rem !important;
}

.alert-error {
    color: #a94442;

    background-color: #f2dede;

    border-color: #ebccd1;
}

.firstNavDiv {
    display: none !important;
}

@media only screen and (max-width: 991px) {
    .firstNavDiv {
        display: flex !important;
    }
}

@media screen and (max-width: 991px) {
    .show-on-mobile {
        display: block !important;
    }

    .show-on-mobile-td {
        display: table-cell !important;
    }

    .hide-on-mobile {
        display: none;
    }

    .divfeehistory {
        padding: 0px;
    }
    .container-nav {
        display: block !important;
        align-items: center;
    }
}

.show-on-mobile-td {
    display: none;
}

.show-on-mobile {
    display: none;
}

#tblInstallmentDashboard * {
    white-space: pre-wrap !important;
}

.text-wrap {
    white-space: normal;
}

.tableClass * {
    white-space: pre-wrap !important;

    /*word-break: break-all;*/
}

.badge {
    padding: 3px !important;

    font-size: 12px !important;
}

@page {
    size: landscape;
}

.btn-red-new {
    color: #fff;

    background-color: #ed1c24;

    border-color: #ed1c24;
}

.btn:hover,
.ajax-upload-dragdrop .ajax-file-upload:hover {
    color: #fff;

    text-decoration: none;
}

.footer a {
    color: #ed1c24;

    font-size: inherit;
}

.font-bold,
.form-label {
    font-weight: bold;
}

.form-control-sm {
    height: 2.1rem !important;
}

.paginationpages {
    float: right;

    margin-top: 10px;
}

.p-l-15 {
    padding-left: 15px;
}

.p-t-15 {
    padding-top: 15px;
}

.p-r-15 {
    padding-right: 15px;
}

.p-b-15 {
    padding-bottom: 15px;
}

.badge {
    display: inline-block;

    padding: 0.25em 0.4em;

    font-size: 75%;

    font-weight: 700;

    line-height: 1;

    text-align: center;

    white-space: nowrap;

    vertical-align: baseline;

    border-radius: 0.25rem;
}

.badge-primary {
    color: #fff;

    background-color: #007bff;
}

.badge-success {
    color: #fff;

    background-color: #28a745;
}

.col-red {
    color: #ed1c24;
}

.horizontal-menu .bottom-navbar {
    background: #000000 !important;
    border-bottom: 1px solid #666;
}

.horizontal-menu.fixed-on-scroll .bottom-navbar {
    border-bottom: 1px solid #666;
}

.page-item.active .page-link {
    z-index: 1;

    color: #fff;

    background-color: #ed1c24;

    border-color: #ed1c24;
}

.horizontal-menu .bottom-navbar .page-navigation > .nav-item:hover > .nav-link i,
.horizontal-menu .bottom-navbar .page-navigation > .nav-item:hover > .nav-link .menu-title {
    transition: none !important;
}

.table th,
.table td {
    /*white-space: break-spaces !IMPORTANT;*/
}

table.dataTable > tbody > tr.child ul.dtr-details > li:first-child {
    white-space: break-spaces !important;
}
.container-scroller .content-wrapper {
    min-height: calc(100vh - 110px);
    background: #000000 !important;
}

.footer {
    background: #000000;
    padding: 10px 24px 10px 24px;
    border-top: 2px solid #666;
}
.justify-content-sm-between {
    align-items: center;
}
body {
    color: #fff;
}
.text-muted,
.preview-list .preview-item .preview-item-content p .content-category {
    color: #8c8c8d !important;
}
@media (min-width: 1200px) {
    .container {
        max-width: 1400px !important;
        padding-left: 44px;
        padding-right: 44px;
    }
    .container-scroller .content-wrapper {
        max-width: 1400px !important;
        padding-left: 44px;
        padding-right: 44px;
    }
}
.horizontal-menu .bottom-navbar {
    box-shadow: none;
}
.dropdown-item {
    color: #fff !important;
}
.dropdown-item:hover {
    color: #ed1d26 !important;
}
.dropdown .dropdown-menu {
    box-shadow: none;
    background: #222222;
}
.dropdown-menu {
    border: 1px solid #515151;
}
.dropdown-divider {
    border: 1px solid #515151;
}
.page-navigation > .nav-item:hover > .nav-link i,
.horizontal-menu .bottom-navbar .page-navigation > .nav-item:hover > .nav-link .menu-title {
    transition: none !important;
}
.page-navigation > .nav-item:hover > .nav-link i,
.horizontal-menu .bottom-navbar .page-navigation > .nav-item:hover > .nav-link .menu-title:hover {
    color: #ed1d26 !important;
    transition: none !important;
}
.horizontal-menu .bottom-navbar .page-navigation > .nav-item:last-child > .nav-link i:hover {
    color: #ed1d26 !important;
}
.horizontal-menu .bottom-navbar .page-navigation > .nav-item:last-child > .nav-link i {
    font-size: 16px;
}
.card {
    background: #131313;
    border: 1px solid #292929 !important;
}
.horizontal-menu .bottom-navbar .page-navigation > .nav-item .submenu ul li a:hover {
    color: #ed1d26 !important;
}
#Dashboard-01 .card .card-body .d-flex {
    align-items: center !important;
}
#Dashboard-01 .card {
    cursor: pointer;
}
#Dashboard-01 .card .card-body .d-flex h4 {
    padding-bottom: 6px !important;
    font-size: 20px !important;
    color: #ed1d26 !important;
}
#Dashboard-01 .card .card-body .d-flex h6 {
    margin-bottom: 0 !important;
    color: #fff !important;
}
.panel-sm-box {
    padding: 14px 18px;
    border-radius: 3px;
    color: #fff;
}
.panel-sm-box.bg-info {
    background: #12aac5 !important;
}
.panel-sm-box.bg-warning {
    background: #f5af11 !important;
}
.panel-sm-box.bg-danger {
    background: #ed1d26 !important;
}
.panel-sm-box.bg-secondary {
    background-color: #842abd !important;
}
.panel-sm-box.bg-primary {
    background-color: #105ad5 !important;
}
.panel-sm-box.bg-orange {
    background-color: #dc3548 !important;
}
.panel-sm-box.bg-green {
    background-color: #28a745 !important;
}
.table-dark.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgb(19 19 19);
}
tr.even {
    background: #222425 !important;
}
.table.dataTable {
    border-collapse: collapse !important;
}
thead {
    background: #000 !important;
    border-top: 1px solid #454d55;
}
table.table-bordered.dataTable th {
    border-left-width: 0;
    font-size: 16px !important;
}
table {
    border: 1px solid #454d55 !important;
    margin-bottom: 20px !important;
}

.table.dataTable {
    margin-bottom: 20px !important;
}
td a {
    color: #fff !important;
}
.page-item.disabled .page-link {
    color: #ffffff !important;
    pointer-events: none;
    cursor: auto;
    background-color: #000000 !important;
    border-color: #474747 !important;
}
.page-link {
    background-color: #000000 !important;
    border-color: #474747 !important;
    color: #ffffff !important;
}

.page-item.active .page-link {
    color: #fff;
    background-color: #ed1c24 !important;
    border-color: #ed1c24 !important;
}

a.searchBtn {
    background: #ed1c24 !important;
    margin-left: 6px !important;
    padding: 6px 14px !important;
    border-radius: 2px !important;
    cursor: pointer !important;
}
div.dataTables_wrapper div.dataTables_filter input {
    color: #fff;
    background: #191919 !important;
    border: 1px solid #515151 !important;
}

button.btn.btn-outline-primary.mb-2.mb-md-0.showFilterDiv.mr-2 {
    border: 1px solid #ed1c24 !important;
    padding: 0px 12px;
    border-radius: 4px !important;
}

.btn-outline-primary {
    color: #ed1c24 !important;
}
button.btn.btn-outline-primary.mb-2.mb-md-0.showFilterDiv.mr-2:hover {
    border: 1px solid #ed1c24 !important;
    padding: 0px 12px;
    color: #fff !important;
    background-color: #ed1c24 !important;
}

button.btn.btn-outline-primary.mb-2.mb-md-0.showFilterDiv.mr-2:focus {
    border: 1px solid #ed1c24 !important;
    background: transparent !important;
    padding: 0px 12px;
    border-radius: 4px !important;
}

.main-panel .content-wrapper .header-right .btn-icon-text {
    border-radius: 2px !important;
}
.main-panel .content-wrapper .header-right .btn-icon-text i {
    border-radius: 4px 0px 0px 4px !important;
}
select.form-control.form-control-sm {
    background: #000;
    border: 1px solid #515151 !important;
    color: #fff !important;
    outline: 0;
}
.text-danger {
    color: #ed1c24 !important;
}
.text-success {
    color: #28a745 !important;
}
.form-control-sm {
    height: 2.1rem !important;
    background: #191919;
    border: 1px solid #515151;
    color: #fff;
}
.form-control-sm:hover {
    height: 2.1rem !important;
    background: #191919;
    border: 1px solid #c1c1c1;
    color: #fff;
}
.form-control-sm:focus {
    height: 2.1rem !important;
    background: #191919;
    border: 1px solid #c1c1c1;
    color: #fff;
}
.form-check .form-check-label input[type="radio"]:checked + .input-helper:before {
    background: #ed1c24;
}
.form-check .form-check-label input[type="radio"] + .input-helper:before {
    border: solid #ed1c24;
}
input[type="radio"] + .input-helper:before {
    border: 3px solid #ed1c24;
}
.btn-danger {
    color: #ffffff;
    background: #ed1c24;
    border-color: #ed1c24;
}
.btn-danger:hover {
    color: #ffffff;
    background: #c91218;
    border-color: #c91218;
}
.btn {
    font-size: 14px !important;
}
#permissionMatrix tr {
    background-color: rgb(19 19 19);
}
#permissionMatrix .demo-checkbox {
    display: flex;
    align-items: center;
}
.demo-checkbox label {
    margin-bottom: 0;
    margin-left: 5px;
}
.btn-danger.disabled,
.btn-danger:disabled {
    color: #fff;
    background-color: #c91218;
    border-color: #c91218;
}
.main-panel .content-wrapper .header-right a:first-child {
    border-right: 0;
}
.modal-content {
    background: #222222;
    border: 1px solid #515151;
}
.modal-header {
    border-bottom: 1px solid #515151;
}
.modal-footer {
    border-top: 1px solid #515151;
}

.modal-header .close {
    color: #fff !important;
}
select.form-control.form-control-sm {
    background: #191919;
}
.login-page {
    background: #000;
    min-height: calc(100vh - 51px);
}
.login-page .card .card-title {
    color: #ffffff;
    font-size: 22px;
}
.badge {
    padding: 6px 8px !important;
    font-size: 16px !important;
    margin-left: 6px;
    height: auto;
}
.badge-success {
    color: #fff;
    background-color: #ed1c24;
    border: 1px solid #ed1c24;
}
.input-group-append,
.input-group-prepend {
    background: #131313 !important;
}
.input-group-append .input-group-text,
.input-group-prepend .input-group-text {
    border-color: #515151 !important;
    color: #ebebeb;
    outline: 0;
    background: #131313 !important;
    border-radius: 2px;
}
.row.divFilter {
    margin-bottom: 26px;
}

.container-nav {
    display: flex;
    align-items: center;
}

li.nav-item {
    list-style: none;
}
.horizontal-menu .bottom-navbar .page-navigation {
    align-items: center;
    justify-content: unset;
}
.horizontal-menu .bottom-navbar .page-navigation > .nav-item > .nav-link {
    padding: 22px 24px 22px 24px;
}
.nav-link.d-flex {
    align-items: center;
}

@media screen and (max-width: 991px) {
    .container-nav {
        display: block;
        align-items: center;
    }
    .horizontal-menu .bottom-navbar {
        border-bottom: 1px solid #656565 !important;
    }
    .horizontal-menu .bottom-navbar {
        background: #000000 !important;
    }
    .horizontal-menu .top-navbar {
        font-weight: 400;
        background: #000000;
        border-bottom: 1px solid #656565 !important;
    }
    .horizontal-menu .top-navbar .navbar-menu-wrapper .navbar-toggler.navbar-toggler-right {
        padding-left: 15px;
        padding-right: 11px;
        color: #fff;
    }
    .page-navigation > .nav-item:hover > .nav-link i,
    .horizontal-menu .bottom-navbar .page-navigation > .nav-item:hover > .nav-link .menu-title {
        color: #fff !important;
        transition: none !important;
    }
    .container-scroller .content-wrapper {
        max-width: 100%;
    }
    .horizontal-menu .bottom-navbar .page-navigation > .nav-item > .nav-link {
        padding: 22px 12px 22px 6px;
        border-bottom: 1px solid #323232;
    }

    .container {
        max-width: 100%;
    }
    .nav-link.d-flex {
        align-items: center;
        padding: 22px 12px 22px 6px;
    }
    .horizontal-menu .top-navbar .navbar-brand-wrapper .navbar-brand.brand-logo-mini img {
        min-width: 76px !important;
        height: auto;
        max-width: 100%;
    }
}

span#loginuser {
    font-size: 14px;
}
.dropdown .dropdown-menu .dropdown-item {
    font-size: 14px !important;
}
.container-scroller .content-wrapper {
    max-width: 100% !important;
}
@media (min-width: 992px) {
    .container-scroller .content-wrapper {
        max-width: 100%;
    }
    .horizontal-menu .bottom-navbar .page-navigation > .nav-item > .nav-link {
        padding: 22px 6px 22px 6px;
    }
    .horizontal-menu .bottom-navbar .page-navigation > .nav-item:last-child > .nav-link {
        padding: 22px 2px 22px 14px;
        border: 0;
    }
    .nav-link.d-flex {
        padding-left: 0px;
        padding-right: 0px;
    }
}
@media (min-width: 1200px) {
    .horizontal-menu .bottom-navbar .page-navigation > .nav-item > .nav-link {
        padding: 22px 14px 22px 14px;
    }
    .horizontal-menu .bottom-navbar .page-navigation > .nav-item:last-child > .nav-link {
        padding: 22px 2px 22px 14px;
        border: 0;
    }
    .nav-link.d-flex {
        padding-left: 8px;
        padding-right: 8px;
    }
}

.container {
    max-width: 100% !important;
}
footer span.float-none.float-sm-right.d-block.mt-1.mt-sm-0.text-center {
    color: #8c8c8d !important;
}
.daterangepicker .ranges ul {
    color: #000;
}
button.swal2-confirm.swal2-styled {
    background: #ed1c24 !important;
}
.swal2-popup {
    background: #222222 !important;
    border: 1px solid #515151 !important;
}
.swal2-popup .swal2-title {
    color: #fff !important;
}
.swal2-popup .swal2-content {
    color: #c1c1c1 !important;
}

li.nav-item.master.show-submenu {
    color: #ed1c24 !important;
}
.nav-link:hover {
    color: #ed1c24 !important;
}
.nav-item {
    color: #ed1c24 !important;
}
a.nav-link.logo-custom {
    padding: 4px 0px 4px 0px !important;
}
img.gadre-logo {
    height: 52px !important;
}
li.nav-item.logo {
    border-right: 0 !important;
    margin-right: 14px;
}
@media (max-width: 991px) {
    li.nav-item.logo {
        display: none !important;
    }
}
li.nav-item.logo {
    display: block;
}
.horizontal-menu .bottom-navbar .page-navigation > .nav-item > .nav-link .menu-title:hover {
    color: #ed1c24 !important;
}
.horizontal-menu .bottom-navbar .page-navigation > .nav-item:not(.mega-menu) .submenu {
    background: #222222;
}

a.nav-link {
    color: #fff !important;
}
.preloader {
    background: #000;
}
.pinkBg {
    background-color: #ed1d26 !important;
    background-image: linear-gradient(90deg, #ed1c24, #9b090f);
}
.text-yellow {
    color: #d2eb00;
}
.table-dark .text-info {
    color: #cb9720 !important;
}
.table-dark i {
    margin-right: 4px;
}
.table-dark .text-warning {
    color: #f13e5e;
}
.table-dark .text-primary {
    color: #2298ab !important;
}
.form-control:disabled, .select2-container--default .select2-selection--single:disabled, .select2-container--default .select2-selection--single .select2-search__field:disabled, .typeahead:disabled, .tt-query:disabled, .tt-hint:disabled, .form-control[readonly], .select2-container--default .select2-selection--single[readonly], .select2-container--default .select2-selection--single .select2-search__field[readonly], .typeahead[readonly], .tt-query[readonly], .tt-hint[readonly] {
    background-color: TRANSPARENT;
    opacity: 1;
}
